Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::FieldSortedTermVectorMapper Class Reference

For each Field, store a sorted collection of `TermVectorEntry`s This is not thread-safe. More...

`#include <FieldSortedTermVectorMapper.h>`

Inheritance diagram for Lucene::FieldSortedTermVectorMapper:

## Public Member Functions

| FieldSortedTermVectorMapper (TermVectorEntryComparator comparator)
| FieldSortedTermVectorMapper (bool ignoringPositions, bool ignoringOffsets, TermVectorEntryComparator comparator)
virtual | ~FieldSortedTermVectorMapper ()
virtual String | getClassName ()
boost::shared_ptr< FieldSortedTermVectorMapper > | shared_from_this ()
virtual void | map (const String &term, int32_t frequency, Collection< TermVectorOffsetInfoPtr > offsets, Collection< int32_t > positions)
| Map the Term Vector information into your own structure.
virtual void | setExpectations (const String &field, int32_t numTerms, bool storeOffsets, bool storePositions)
| Tell the mapper what to expect in regards to field, number of terms, offset and position storage.
MapStringCollectionTermVectorEntry | getFieldToTerms ()
| Get the mapping between fields and terms, sorted by the comparator.
TermVectorEntryComparator | getComparator ()
Public Member Functions inherited from Lucene::TermVectorMapper
| TermVectorMapper (bool ignoringPositions=false, bool ignoringOffsets=false)
virtual | ~TermVectorMapper ()
boost::shared_ptr< TermVectorMapper > | shared_from_this ()
virtual bool | isIgnoringPositions ()
| Indicate to Lucene that even if there are positions stored, this mapper is not interested in them and they can be skipped over. Derived classes should set this to true if they want to ignore positions. The default is false, meaning positions will be loaded if they are stored.
virtual bool | isIgnoringOffsets ()
virtual void | setDocumentNumber (int32_t documentNumber)
| Passes down the index of the document whose term vector is currently being mapped, once for each top level call to a term vector reader.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermVectorMapper
static String | _getClassName ()

## Protected Attributes

MapStringCollectionTermVectorEntry | fieldToTerms
Collection< TermVectorEntryPtr > | currentSet
String | currentField
TermVectorEntryComparator | comparator
Protected Attributes inherited from Lucene::TermVectorMapper
bool | ignoringPositions
bool | ignoringOffsets
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

For each Field, store a sorted collection of `TermVectorEntry`s This is not thread-safe.

## Constructor & Destructor Documentation

## ◆ FieldSortedTermVectorMapper() [1/2]

Lucene::FieldSortedTermVectorMapper::FieldSortedTermVectorMapper | ( | TermVectorEntryComparator | comparator | ) |

Parameters

  comparator | A Comparator for sorting `TermVectorEntry`s

## ◆ FieldSortedTermVectorMapper() [2/2]

Lucene::FieldSortedTermVectorMapper::FieldSortedTermVectorMapper | ( | bool | ignoringPositions,
|  | bool | ignoringOffsets,
|  | TermVectorEntryComparator | comparator
| ) |  |

## ◆ ~FieldSortedTermVectorMapper()

virtual Lucene::FieldSortedTermVectorMapper::~FieldSortedTermVectorMapper | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::FieldSortedTermVectorMapper::_getClassName | ( |  | ) |

inline static

## ◆ getClassName()

virtual String Lucene::FieldSortedTermVectorMapper::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::TermVectorMapper.

## ◆ getComparator()

TermVectorEntryComparator Lucene::FieldSortedTermVectorMapper::getComparator | ( |  | ) |

## ◆ getFieldToTerms()

MapStringCollectionTermVectorEntry Lucene::FieldSortedTermVectorMapper::getFieldToTerms | ( |  | ) |

Get the mapping between fields and terms, sorted by the comparator.

Returns
  A map between field names and `java.util.SortedSet`s per field. SortedSet entries are `TermVectorEntry`

## ◆ map()

virtual void Lucene::FieldSortedTermVectorMapper::map | ( | const String & | term,
|  | int32_t | frequency,
|  | Collection< TermVectorOffsetInfoPtr > | offsets,
|  | Collection< int32_t > | positions
| ) |  |

virtual

Map the Term Vector information into your own structure.

Implements Lucene::TermVectorMapper.

## ◆ setExpectations()

virtual void Lucene::FieldSortedTermVectorMapper::setExpectations | ( | const String & | field,
|  | int32_t | numTerms,
|  | bool | storeOffsets,
|  | bool | storePositions
| ) |  |

virtual

Tell the mapper what to expect in regards to field, number of terms, offset and position storage.

Implements Lucene::TermVectorMapper.

## ◆ shared_from_this()

boost::shared_ptr< FieldSortedTermVectorMapper > Lucene::FieldSortedTermVectorMapper::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ comparator

TermVectorEntryComparator Lucene::FieldSortedTermVectorMapper::comparator

protected

## ◆ currentField

String Lucene::FieldSortedTermVectorMapper::currentField

protected

## ◆ currentSet

Collection<TermVectorEntryPtr> Lucene::FieldSortedTermVectorMapper::currentSet

protected

## ◆ fieldToTerms

MapStringCollectionTermVectorEntry Lucene::FieldSortedTermVectorMapper::fieldToTerms

protected

The documentation for this class was generated from the following file:

- FieldSortedTermVectorMapper.h

clucene.sourceforge.net